%define Product PloneWebMail
%define product plonewebmail
%define name    zope-%{Product}
%define version 1.0
%define release %mkrel 8

%define zope_minver	2.7
%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	IMAP email client for Plone
License:	GPL
Group:		System/Servers
URL:		http://plonewebmail.openprojects.it
Source:		http://plonewebmail.openprojects.it/Members/admin/PloneWebMail-%{version}final.tar.bz2
Requires:	zope >= %{zope_minver}
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
PloneWebMail is an IMAP (POP3 support coming soon) email client for Plone.
It's very simple and the features are basic :

- Read IMAP messages with attachments
- Send & forward messages with attachments (plain text & HTML)
- IMAP folders management
- copy/move IMAP messages
- Basic addressbook
- i18n implementation


%prep
%setup -c -q
find -type f -name '.*' | xargs rm -f
find -type d -name '.xvpics' | xargs rm -rf

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-8mdv2009.0
+ Revision: 263221
- rebuild
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-5mdv2008.1
+ Revision: 171200
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-4mdv2008.0
+ Revision: 88822
- spec cleanup


* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 07:37:57 (53762)
- Fix rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 11:02:17 (42790)
Import zope-PloneWebMail

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-3mdk
- fix path on x86_64

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-2mdk
- use mkrel
- rename plone-PloneWebMail -> zope-PloneWebMail

* Sun Feb 06 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-1mdk
- initial contrib

